summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authorMaurice Laveaux <m.laveaux@student.tue.nl>2014-05-07 12:34:44 +0200
committerMaurice Laveaux <m.laveaux@student.tue.nl>2014-05-07 12:34:44 +0200
commit6769ea13c045c93f2394b8ed536d5522f4712745 (patch)
tree79b8f4cb51ec6e174cb8dc1588545d2e0093388e /run.sh
parenta3303f1fe119f963edec13c48286cc5d8cdcc5eb (diff)
downloadDatafiller-6769ea13c045c93f2394b8ed536d5522f4712745.tar.gz
Copied and refactored the shell script.
* nbproject changed somehow.
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..a8eba08
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# You should build the jar file with `ant jar`, then run this script
+
+# Exit on errors
+set -e
+
+# Change dir to project
+cd "$(dirname "$(readlink -f "$0")")"
+
+jar=dist/Datafiller.jar
+# Build jar if missing
+[ -e "$jar" ] || ant jar
+
+java -jar "$jar" "$@"